Bug 1315083 - Can't use the nova cli when passing --os-auth-token and --os-auth-url on the command line
Can't use the nova cli when passing --os-auth-token and --os-auth-url on the ...
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novaclient (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: Radomir Dopieralski
nlevinki
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 08:55 EST by Udi
Modified: 2017-11-26 21:47 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script to obtain a keystone token (1.21 KB, text/plain)
2016-03-06 08:56 EST, Udi
no flags Details

  None (edit)
Description Udi 2016-03-06 08:55:59 EST
Description of problem:
If you have an already issued token and want to use it for a "nova list" command, for example, you need to run the following command **without** sourcing stackrc or overcloudrc:

nova --os-auth-token $OS_TOKEN --os-auth-url $OS_AUTH_URL list

If you try, then you get this error:
ERROR (TypeError): __init__() got an unexpected keyword argument 'username'


Version-Release number of selected component (if applicable):
python-novaclient-2.23.0-2.el7ost.noarch


How reproducible:
100%


Steps to Reproduce:
1. Don't source any rc file
2. Get a keystone token (a sample bash script to get a token is attached to the bug - you just need to edit the first few lines in it according to your environment)
3. Run the following command (replace the params with the real values): nova --os-auth-token $OS_TOKEN --os-auth-url $OS_AUTH_URL list


Actual results:
ERROR (TypeError): __init__() got an unexpected keyword argument 'username'


Expected results:
The nova command should support using an already-issued token
Comment 2 Udi 2016-03-06 08:56 EST
Created attachment 1133500 [details]
script to obtain a keystone token
Comment 3 Radomir Dopieralski 2016-03-29 09:11:41 EDT
Sorry for the long delay, but I tried several different installations, and I wasn't able to reproduce this error. I'm using the latest osp8 build from 2016-03-29.1. But that comes with python-novaclient-3.1.0-2.el7ost.noarch...

Note You need to log in before you can comment on or make changes to this bug.